org.icefaces.ace.component.chart

## Interface IChart

- All Known Implementing Classes:
    Chart, ChartBase

      public interface IChart

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Axis` | `getDefaultAxesConfig()`
    `java.lang.String[]` | `getDefaultSeriesColors()`
    `ChartSeries` | `getDefaultSeriesConfig()`
    `java.lang.Integer` | `getHeight()`
    `HighlighterTooltipAxes` | `getHighlighterAxes()`
    `java.lang.String` | `getHighlighterFormatString()`
    `Location` | `getHighlighterLocation()`
    `java.lang.Integer` | `getHighlighterYValueCount()`
    `javax.el.MethodExpression` | `getImageExportListener()`
    `Location` | `getLegendLocation()`
    `LegendPlacement` | `getLegendPlacement()`
    `javax.el.MethodExpression` | `getPointChangeListener()`
    `javax.el.MethodExpression` | `getSelectListener()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getTitle()`
    `java.lang.Object` | `getValue()`
    `java.lang.String` | `getWidgetVar()`
    `java.lang.Integer` | `getWidth()`
    `Axis` | `getX2Axis()`
    `Axis` | `getXAxis()`
    `Axis[]` | `getYAxes()`
    `java.lang.Boolean` | `isAnimated()`
    `java.lang.Boolean` | `isCursor()`
    `java.lang.Boolean` | `isHiddenInitPolling()`
    `java.lang.Boolean` | `isHighlighter()`
    `java.lang.Boolean` | `isHighlighterBringSeriesToFront()`
    `java.lang.Boolean` | `isHighlighterShowMarker()`
    `java.lang.Boolean` | `isLegend()`
    `java.lang.Boolean` | `isShowTooltip()`
    `java.lang.Boolean` | `isStackSeries()`
    `java.lang.Boolean` | `isZoom()`
    `void` | `setAnimated(java.lang.Boolean animated)`
    `void` | `setCursor(java.lang.Boolean cursor)`
    `void` | `setDefaultAxesConfig(Axis defaultAxesConfig)`
    `void` | `setDefaultSeriesColors(java.lang.String[] defaultSeriesColors)`
    `void` | `setDefaultSeriesConfig(ChartSeries defaultSeriesConfig)`
    `void` | `setHeight(java.lang.Integer height)`
    `void` | `setHiddenInitPolling(java.lang.Boolean hiddenInitPolling)`
    `void` | `setHighlighter(java.lang.Boolean highlighter)`
    `void` | `setHighlighterAxes(HighlighterTooltipAxes highlighterAxes)`
    `void` | `setHighlighterBringSeriesToFront(java.lang.Boolean highlighterBringSeriesToFront)`
    `void` | `setHighlighterFormatString(java.lang.String highlighterFormatString)`
    `void` | `setHighlighterLocation(Location highlighterLocation)`
    `void` | `setHighlighterShowMarker(java.lang.Boolean highlighterShowMarker)`
    `void` | `setHighlighterYValueCount(java.lang.Integer highlighterYValueCount)`
    `void` | `setImageExportListener(javax.el.MethodExpression imageExportListener)`
    `void` | `setLegend(java.lang.Boolean legend)`
    `void` | `setLegendLocation(Location legendLocation)`
    `void` | `setLegendPlacement(LegendPlacement legendPlacement)`
    `void` | `setPointChangeListener(javax.el.MethodExpression pointChangeListener)`
    `void` | `setSelectListener(javax.el.MethodExpression selectListener)`
    `void` | `setShowTooltip(java.lang.Boolean showTooltip)`
    `void` | `setStackSeries(java.lang.Boolean stackSeries)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setValue(java.lang.Object value)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`
    `void` | `setWidth(java.lang.Integer width)`
    `void` | `setX2Axis(Axis x2Axis)`
    `void` | `setXAxis(Axis xAxis)`
    `void` | `setYAxes(Axis[] yAxes)`
    `void` | `setZoom(java.lang.Boolean zoom)`

- - ### Method Detail

    - #### setAnimated

          void setAnimated(java.lang.Boolean animated)

    - #### isAnimated

          java.lang.Boolean isAnimated()

    - #### setCursor

          void setCursor(java.lang.Boolean cursor)

    - #### isCursor

          java.lang.Boolean isCursor()

    - #### setDefaultAxesConfig

          void setDefaultAxesConfig(Axis defaultAxesConfig)

    - #### getDefaultAxesConfig

          Axis getDefaultAxesConfig()

    - #### setDefaultSeriesColors

          void setDefaultSeriesColors(java.lang.String[] defaultSeriesColors)

    - #### getDefaultSeriesColors

          java.lang.String[] getDefaultSeriesColors()

    - #### setDefaultSeriesConfig

          void setDefaultSeriesConfig(ChartSeries defaultSeriesConfig)

    - #### getDefaultSeriesConfig

          ChartSeries getDefaultSeriesConfig()

    - #### setHeight

          void setHeight(java.lang.Integer height)

    - #### getHeight

          java.lang.Integer getHeight()

    - #### setHiddenInitPolling

          void setHiddenInitPolling(java.lang.Boolean hiddenInitPolling)

    - #### isHiddenInitPolling

          java.lang.Boolean isHiddenInitPolling()

    - #### setHighlighter

          void setHighlighter(java.lang.Boolean highlighter)

    - #### isHighlighter

          java.lang.Boolean isHighlighter()

    - #### setHighlighterAxes

          void setHighlighterAxes(HighlighterTooltipAxes highlighterAxes)

    - #### getHighlighterAxes

          HighlighterTooltipAxes getHighlighterAxes()

    - #### setHighlighterBringSeriesToFront

          void setHighlighterBringSeriesToFront(java.lang.Boolean highlighterBringSeriesToFront)

    - #### isHighlighterBringSeriesToFront

          java.lang.Boolean isHighlighterBringSeriesToFront()

    - #### setHighlighterFormatString

          void setHighlighterFormatString(java.lang.String highlighterFormatString)

    - #### getHighlighterFormatString

          java.lang.String getHighlighterFormatString()

    - #### setHighlighterLocation

          void setHighlighterLocation(Location highlighterLocation)

    - #### getHighlighterLocation

          Location getHighlighterLocation()

    - #### setHighlighterShowMarker

          void setHighlighterShowMarker(java.lang.Boolean highlighterShowMarker)

    - #### isHighlighterShowMarker

          java.lang.Boolean isHighlighterShowMarker()

    - #### setHighlighterYValueCount

          void setHighlighterYValueCount(java.lang.Integer highlighterYValueCount)

    - #### getHighlighterYValueCount

          java.lang.Integer getHighlighterYValueCount()

    - #### setImageExportListener

          void setImageExportListener(javax.el.MethodExpression imageExportListener)

    - #### getImageExportListener

          javax.el.MethodExpression getImageExportListener()

    - #### setLegend

          void setLegend(java.lang.Boolean legend)

    - #### isLegend

          java.lang.Boolean isLegend()

    - #### setLegendLocation

          void setLegendLocation(Location legendLocation)

    - #### getLegendLocation

          Location getLegendLocation()

    - #### setLegendPlacement

          void setLegendPlacement(LegendPlacement legendPlacement)

    - #### getLegendPlacement

          LegendPlacement getLegendPlacement()

    - #### setPointChangeListener

          void setPointChangeListener(javax.el.MethodExpression pointChangeListener)

    - #### getPointChangeListener

          javax.el.MethodExpression getPointChangeListener()

    - #### setSelectListener

          void setSelectListener(javax.el.MethodExpression selectListener)

    - #### getSelectListener

          javax.el.MethodExpression getSelectListener()

    - #### setShowTooltip

          void setShowTooltip(java.lang.Boolean showTooltip)

    - #### isShowTooltip

          java.lang.Boolean isShowTooltip()

    - #### setStackSeries

          void setStackSeries(java.lang.Boolean stackSeries)

    - #### isStackSeries

          java.lang.Boolean isStackSeries()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setTitle

          void setTitle(java.lang.String title)

    - #### getTitle

          java.lang.String getTitle()

    - #### setValue

          void setValue(java.lang.Object value)

    - #### getValue

          java.lang.Object getValue()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setWidth

          void setWidth(java.lang.Integer width)

    - #### getWidth

          java.lang.Integer getWidth()

    - #### setX2Axis

          void setX2Axis(Axis x2Axis)

    - #### getX2Axis

          Axis getX2Axis()

    - #### setXAxis

          void setXAxis(Axis xAxis)

    - #### getXAxis

          Axis getXAxis()

    - #### setYAxes

          void setYAxes(Axis[] yAxes)

    - #### getYAxes

          Axis[] getYAxes()

    - #### setZoom

          void setZoom(java.lang.Boolean zoom)

    - #### isZoom

          java.lang.Boolean isZoom()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.